--- a/arch/powerpc/platforms/85xx/Kconfig
+++ b/arch/powerpc/platforms/85xx/Kconfig
@@ -49,6 +49,16 @@ config BSC9132_QDS
 	  and dual StarCore SC3850 DSP cores.
 	  Manufacturer : Freescale Semiconductor, Inc
 
+config BR200_WP
+    bool "Aerohive BR200-WP"
+    select DEFAULT_UIMAGE
+    select ARCH_REQUIRE_GPIOLIB
+    select GPIO_MPC8XXX
+    help
+      This option enables support for the Aerohive BR200-WP board.
+
+      This board is a wireless router with a Freescale P1011 SoC.
+
 config HIVEAP_330
     bool "Aerohive HiveAP-330"
     select DEFAULT_UIMAGE
--- a/arch/powerpc/platforms/85xx/Makefile
+++ b/arch/powerpc/platforms/85xx/Makefile
@@ -12,6 +12,7 @@ obj-y += common.o
 obj-$(CONFIG_BSC9131_RDB) += bsc913x_rdb.o
 obj-$(CONFIG_BSC9132_QDS) += bsc913x_qds.o
 obj-$(CONFIG_C293_PCIE)   += c293pcie.o
+obj-$(CONFIG_BR200_WP) += br200-wp.o
 obj-$(CONFIG_HIVEAP_330) += hiveap-330.o
 obj-$(CONFIG_MPC8540_ADS) += mpc85xx_ads.o
 obj-$(CONFIG_MPC8560_ADS) += mpc85xx_ads.o
--- a/arch/powerpc/boot/Makefile
+++ b/arch/powerpc/boot/Makefile
@@ -163,6 +163,7 @@ src-plat-$(CONFIG_PPC_PSERIES) += pserie
 src-plat-$(CONFIG_PPC_POWERNV) += pseries-head.S
 src-plat-$(CONFIG_PPC_IBM_CELL_BLADE) += pseries-head.S
 src-plat-$(CONFIG_MVME7100) += motload-head.S mvme7100.c
+src-plat-$(CONFIG_BR200_WP) += simpleboot.c fixed-head.S
 src-plat-$(CONFIG_TL_WDR4900_V1) += simpleboot.c fixed-head.S
 src-plat-$(CONFIG_WS_AP3710I) += simpleboot.c fixed-head.S
 
@@ -345,6 +346,7 @@ image-$(CONFIG_TQM8548)			+= cuImage.tqm
 image-$(CONFIG_TQM8555)			+= cuImage.tqm8555
 image-$(CONFIG_TQM8560)			+= cuImage.tqm8560
 image-$(CONFIG_KSI8560)			+= cuImage.ksi8560
+image-$(CONFIG_BR200_WP)		+= simpleImage.br200-wp
 image-$(CONFIG_TL_WDR4900_V1)		+= simpleImage.tl-wdr4900-v1
 image-$(CONFIG_WS_AP3710I)		+= simpleImage.ws-ap3710i
 image-$(CONFIG_WS_AP3715I)		+= simpleImage.ws-ap3715i
--- a/arch/powerpc/boot/wrapper
+++ b/arch/powerpc/boot/wrapper
@@ -326,6 +326,7 @@ adder875-redboot)
     platformo="$object/fixed-head.o $object/redboot-8xx.o"
     binary=y
     ;;
+simpleboot-br200-wp|\
 simpleboot-tl-wdr4900-v1|\
 simpleboot-ws-ap3715i|\
 simpleboot-ws-ap3825i)
